// _CongeSolidarite_Interface.java
// Created on 3 févr. 2011 by JavaClient Wizard 1.0
/*
 * Copyright Consortium Cocktail
 *
 * cocktail@univ-lr.fr
 *
 * Logiciel de gestion des ressources humaines des établissements.
 *
 * Ce logiciel est régi par la licence CeCILL soumise au droit français et
 * respectant les principes de diffusion des logiciels libres. Vous pouvez
 * utiliser, modifier et/ou redistribuer ce programme sous les conditions
 * de la licence CeCILL telle que diffusée par le CEA, le CNRS et l'INRIA
 * sur le site "http://www.cecill.info".

 * En contrepartie de l'accessibilité au code source et des droits de copie,
 * de modification et de redistribution accordés par cette licence, il n'est
 * offert aux utilisateurs qu'une garantie limitée.  Pour les mêmes raisons,
 * seule une responsabilité restreinte pèse sur l'auteur du programme,  le
 * titulaire des droits patrimoniaux et les concédants successifs.

 * A cet égard  l'attention de l'utilisateur est attirée sur les risques
 * associés au chargement,  à l'utilisation,  à la modification et/ou au
 * développement et à la reproduction du logiciel par l'utilisateur étant
 * donné sa spécificité de logiciel libre, qui peut le rendre complexe à
 * manipuler et qui le réserve donc à des développeurs et des professionnels
 * avertis possédant  des  connaissances  informatiques approfondies.  Les
 * utilisateurs sont donc invités à charger  et  tester  l'adéquation  du
 * logiciel à leurs besoins dans des conditions permettant d'assurer la
 * sécurité de leurs systèmes et ou de leurs données et, plus généralement,
 * à l'utiliser et l'exploiter dans les mêmes conditions de sécurité.

 * Le fait que vous puissiez accéder à cet en-tête signifie que vous avez
 * pris connaissance de la licence CeCILL, et que vous en avez accepté les
 * termes.
 */
package org.cocktail.mangue.client.conges.interfaces;
import org.cocktail.component.COFrame;

/**
 *
 * @author  christine
 */
public class _GestionCongeSolidarite_Interface extends COFrame {

    /** Creates new form _CongeSolidarite_Interface */
    public _GestionCongeSolidarite_Interface() {
        super();
        initComponents();
    }

    /** This method is called from within the constructor to
     * initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is
     * always regenerated by the Form Editor.
     */
    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {

        displayGroup = new org.cocktail.component.CODisplayGroup();
        vueTexte = new org.cocktail.component.COTextArea();
        vueArretes = new org.cocktail.component.COView();
        vueArrete = new org.cocktail.component.COView();
        contenuVueArrete = new org.cocktail.component.COView();
        cOLabel2 = new org.cocktail.component.COLabel();
        jLabel5 = new javax.swing.JLabel();
        cOView2 = new org.cocktail.component.COView();
        jLabel10 = new javax.swing.JLabel();
        cOTextField9 = new org.cocktail.component.COTextField();
        cOTextField8 = new org.cocktail.component.COTextField();
        jLabel9 = new javax.swing.JLabel();
        cOTextField10 = new org.cocktail.component.COTextField();
        jLabel11 = new javax.swing.JLabel();
        jLabel12 = new javax.swing.JLabel();
        cOTextField11 = new org.cocktail.component.COTextField();
        jLabel13 = new javax.swing.JLabel();
        cOTextField12 = new org.cocktail.component.COTextField();
        cOButton12 = new org.cocktail.component.COButton();
        boutonRenouveler = new org.cocktail.component.COButton();
        cOButton10 = new org.cocktail.component.COButton();
        cOButton11 = new org.cocktail.component.COButton();
        jLabel3 = new javax.swing.JLabel();

        displayGroup.setEntityName("CongeSolidariteFamiliale");
        displayGroup.setHasDelegate(true);
        displayGroup.setIsMainDisplayGroupForController(true);

        setControllerClassName("org.cocktail.mangue.client.conges.GestionCongeSolidarite");

        vueTexte.setDisplayGroupForValue(displayGroup);
        vueTexte.setFont(new java.awt.Font("Helvetica", 0, 11)); // NOI18N
        vueTexte.setShouldRefreshImmediately(true);
        vueTexte.setSupportsBackgroundColor(true);
        vueTexte.setValueName("commentaire");

        vueArrete.setFont(new java.awt.Font("Helvetica", 3, 11)); // NOI18N
        vueArrete.setIsBox(true);
        vueArrete.setTitle("Arrêté");

        org.jdesktop.layout.GroupLayout contenuVueArreteLayout = new org.jdesktop.layout.GroupLayout(contenuVueArrete);
        contenuVueArrete.setLayout(contenuVueArreteLayout);
        contenuVueArreteLayout.setHorizontalGroup(
            contenuVueArreteLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(0, 480, Short.MAX_VALUE)
        );
        contenuVueArreteLayout.setVerticalGroup(
            contenuVueArreteLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(0, 49, Short.MAX_VALUE)
        );

        org.jdesktop.layout.GroupLayout vueArreteLayout = new org.jdesktop.layout.GroupLayout(vueArrete);
        vueArrete.setLayout(vueArreteLayout);
        vueArreteLayout.setHorizontalGroup(
            vueArreteLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(vueArreteLayout.createSequentialGroup()
                .addContainerGap()
                .add(contenuVueArrete, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                .addContainerGap())
        );
        vueArreteLayout.setVerticalGroup(
            vueArreteLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(vueArreteLayout.createSequentialGroup()
                .addContainerGap()
                .add(contenuVueArrete, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                .addContainerGap())
        );

        org.jdesktop.layout.GroupLayout vueArretesLayout = new org.jdesktop.layout.GroupLayout(vueArretes);
        vueArretes.setLayout(vueArretesLayout);
        vueArretesLayout.setHorizontalGroup(
            vueArretesLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(vueArretesLayout.createSequentialGroup()
                .add(vueArrete, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .addContainerGap(org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))
        );
        vueArretesLayout.setVerticalGroup(
            vueArretesLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(vueArretesLayout.createSequentialGroup()
                .add(10, 10, 10)
                .add(vueArrete, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .addContainerGap(org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))
        );

        cOLabel2.setFont(new java.awt.Font("Helvetica", 0, 11));
        cOLabel2.setHorizontalAlignment(javax.swing.JTextField.RIGHT);
        cOLabel2.setValueName("compteurCommentaire");

        jLabel5.setFont(new java.awt.Font("Helvetica", 0, 12)); // NOI18N
        jLabel5.setText("Commentaire");

        cOView2.setIsBox(true);

        jLabel10.setFont(new java.awt.Font("Helvetica", 1, 12)); // NOI18N
        jLabel10.setText("DEBUT");

        cOTextField9.setDisplayGroupForValue(displayGroup);
        cOTextField9.setEnabledMethod("peutModifierDateDebut");
        cOTextField9.setSupportsBackgroundColor(true);
        cOTextField9.setValueName("dateDebutFormatee");

        cOTextField8.setDisplayGroupForValue(displayGroup);
        cOTextField8.setEnabledMethod("peutModifierDateFin");
        cOTextField8.setSupportsBackgroundColor(true);
        cOTextField8.setValueName("dateFinFormatee");

        jLabel9.setFont(new java.awt.Font("Helvetica", 1, 12));
        jLabel9.setText("FIN");

        cOTextField10.setDisplayGroupForValue(displayGroup);
        cOTextField10.setEnabledMethod("nonEditable");
        cOTextField10.setSupportsBackgroundColor(true);
        cOTextField10.setValueName("typeCsf.tcsfLibelle");

        jLabel11.setFont(new java.awt.Font("Helvetica", 1, 12));
        jLabel11.setText("Type");

        jLabel12.setFont(new java.awt.Font("Helvetica", 1, 12));
        jLabel12.setText("Date Certificat Médical");

        cOTextField11.setDisplayGroupForValue(displayGroup);
        cOTextField11.setEnabledMethod("peutModifier");
        cOTextField11.setSupportsBackgroundColor(true);
        cOTextField11.setValueName("dateCertificatFormatee");

        jLabel13.setFont(new java.awt.Font("Helvetica", 0, 12));
        jLabel13.setText("Fin Anticipée");

        cOTextField12.setDisplayGroupForValue(displayGroup);
        cOTextField12.setEnabledMethod("peutModifier");
        cOTextField12.setSupportsBackgroundColor(true);
        cOTextField12.setValueName("dateFinAnticipeeFormatee");

        cOButton12.setActionName("afficherTypeConge");
        cOButton12.setBorderPainted(false);
        cOButton12.setEnabledMethod("peutModifier");
        cOButton12.setIconName("loupe16.gif");

        boutonRenouveler.setActionName("renouveler");
        boutonRenouveler.setEnabledMethod("peutRenouveler");
        boutonRenouveler.setText("Renouveler");

        org.jdesktop.layout.GroupLayout cOView2Layout = new org.jdesktop.layout.GroupLayout(cOView2);
        cOView2.setLayout(cOView2Layout);
        cOView2Layout.setHorizontalGroup(
            cOView2Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(cOView2Layout.createSequentialGroup()
                .add(72, 72, 72)
                .add(cOView2Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                    .add(org.jdesktop.layout.GroupLayout.TRAILING, cOView2Layout.createSequentialGroup()
                        .add(jLabel12)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(cOTextField11, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 95, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED, 70, Short.MAX_VALUE)
                        .add(boutonRenouveler, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 102, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .add(18, 18, 18))
                    .add(cOView2Layout.createSequentialGroup()
                        .add(cOView2Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING, false)
                            .add(cOView2Layout.createSequentialGroup()
                                .add(jLabel11)
                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                .add(cOTextField10, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))
                            .add(org.jdesktop.layout.GroupLayout.TRAILING, cOView2Layout.createSequentialGroup()
                                .add(jLabel13)
                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                .add(cOTextField12, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 95, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                            .add(org.jdesktop.layout.GroupLayout.TRAILING, cOView2Layout.createSequentialGroup()
                                .add(jLabel10)
                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                .add(cOTextField9, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 95, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED, 63, Short.MAX_VALUE)
                                .add(jLabel9)
                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                .add(cOTextField8, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 95, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)))
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                        .add(cOButton12, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 18, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .add(68, 68, 68))))
        );
        cOView2Layout.setVerticalGroup(
            cOView2Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(cOView2Layout.createSequentialGroup()
                .add(15, 15, 15)
                .add(cOView2Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                    .add(jLabel9)
                    .add(cOTextField8, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 23, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(jLabel10)
                    .add(cOTextField9, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 23, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED, 8, Short.MAX_VALUE)
                .add(cOView2Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                    .add(cOTextField12, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 23, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(jLabel13))
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.UNRELATED)
                .add(cOView2Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                    .add(cOTextField10, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 23, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(jLabel11)
                    .add(cOButton12, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 18, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.UNRELATED)
                .add(cOView2Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                    .add(boutonRenouveler, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(jLabel12)
                    .add(cOTextField11, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 23, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                .add(21, 21, 21))
        );

        cOButton10.setActionName("annuler");
        cOButton10.setBorderPainted(false);
        cOButton10.setIconName("annuler16.gif");

        cOButton11.setActionName("valider");
        cOButton11.setBorderPainted(false);
        cOButton11.setEnabledMethod("peutValider");
        cOButton11.setIconName("valider16.gif");

        org.jdesktop.layout.GroupLayout layout = new org.jdesktop.layout.GroupLayout(getContentPane());
        getContentPane().setLayout(layout);
        layout.setHorizontalGroup(
            layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(layout.createSequentialGroup()
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                    .add(layout.createSequentialGroup()
                        .addContainerGap()
                        .add(cOView2, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                    .add(layout.createSequentialGroup()
                        .addContainerGap()
                        .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                            .add(jLabel5)
                            .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.TRAILING)
                                .add(cOLabel2, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 61, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                .add(vueTexte, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 496, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)))))
                .addContainerGap(25, Short.MAX_VALUE))
            .add(layout.createSequentialGroup()
                .addContainerGap()
                .add(vueArretes, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 510, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .addContainerGap(org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))
            .add(org.jdesktop.layout.GroupLayout.TRAILING, layout.createSequentialGroup()
                .addContainerGap(229, Short.MAX_VALUE)
                .add(jLabel3, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 222, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .add(36, 36, 36)
                .add(cOButton10, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 16, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(cOButton11, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 16, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .addContainerGap())
        );
        layout.setVerticalGroup(
            layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(layout.createSequentialGroup()
                .addContainerGap()
                .add(cOView2, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(jLabel5)
                .add(2, 2, 2)
                .add(vueTexte, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 106, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(cOLabel2, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 14, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(vueArretes, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.UNRELATED)
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                    .add(cOButton11, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 16, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(cOButton10, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 16, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(jLabel3, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 16, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                .addContainerGap(org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))
        );

        pack();
    }// </editor-fold>//GEN-END:initComponents
  
    // Variables declaration - do not modify//GEN-BEGIN:variables
    public org.cocktail.component.COButton boutonRenouveler;
    public org.cocktail.component.COButton cOButton10;
    public org.cocktail.component.COButton cOButton11;
    public org.cocktail.component.COButton cOButton12;
    public org.cocktail.component.COLabel cOLabel2;
    public org.cocktail.component.COTextField cOTextField10;
    public org.cocktail.component.COTextField cOTextField11;
    public org.cocktail.component.COTextField cOTextField12;
    public org.cocktail.component.COTextField cOTextField8;
    public org.cocktail.component.COTextField cOTextField9;
    private org.cocktail.component.COView cOView2;
    public org.cocktail.component.COView contenuVueArrete;
    public org.cocktail.component.CODisplayGroup displayGroup;
    private javax.swing.JLabel jLabel10;
    private javax.swing.JLabel jLabel11;
    private javax.swing.JLabel jLabel12;
    private javax.swing.JLabel jLabel13;
    private javax.swing.JLabel jLabel3;
    private javax.swing.JLabel jLabel5;
    private javax.swing.JLabel jLabel9;
    public org.cocktail.component.COView vueArrete;
    public org.cocktail.component.COView vueArretes;
    public org.cocktail.component.COTextArea vueTexte;
    // End of variables declaration//GEN-END:variables
                  

}
